EC_DICT_ITER_GET_KEY(3)

NAME
ec_dict_iter_get_key - Get a pointer to the key of the current element.

SYNOPSIS
#include <ecoli/dict.h>

const char * ec_dict_iter_get_key(
    const struct ec_dict_elt_ref   *iter   /* The hash table iterator. */
);

RETURN VALUE

The current element key, or NULL if the iterator points to an invalid element.

SEE ALSO

ec_dict_iter(3), ec_dict_has_key(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_len(3), ec_dict_dup(3), ec_dict_del(3), ec_dict(3), ec_dict_set(3), ec_dict_get(3), ec_dict_dump(3), ec_dict_iter_next(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.